User API Keys
Get all user API keys for the current user
Authorization
session session_id<token>
Browser session cookie. Obtained via /api/auth/login.
In: cookie
Query Parameters
limit?|
Maximum number of results to return (1-1000, default: 50). Use 0 for no limit.
offset?|
Number of results to skip. Default: 0.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/auth/keys"{
"data": [
{
"key": "string",
"last_used": "2019-08-24T14:15:22Z",
"name": "string",
"organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",
"tags": [
"a424dc99-d215-4281-ad2d-a3a9bc179925"
],
"user_id": "a169451c-8525-4352-b8ca-070dd449a1a5",
"expires_at": "2019-08-24T14:15:22Z",
"is_enabled": true,
"network_ids": [
"8ab05cf8-4f9d-4069-943f-81651de86890"
],
"permissions": "Owner",
"created_at": "2019-08-24T14:15:22Z",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"meta": {
"api_version": 1,
"pagination": {
"has_more": true,
"limit": 50,
"offset": 0,
"total_count": 142
},
"server_version": "0.17.13"
},
"success": true,
"error": "string"
}{
"meta": {
"api_version": 1,
"server_version": "0.17.13"
},
"success": true,
"code": "string",
"error": "string",
"params": {
"property1": null,
"property2": null
}
}{
"meta": {
"api_version": 1,
"server_version": "0.17.13"
},
"success": true,
"code": "string",
"error": "string",
"params": {
"property1": null,
"property2": null
}
}